cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten Ziegeler <cziege...@apache.org>
Subject Re: best wishes for 2008: 2.1 vs. 2.2
Date Mon, 31 Dec 2007 08:35:36 GMT
Before we continue to discuss the pros and cons of maven (which I'm
really really tired of) a very important clarification:

    Cocoon 2.2 does not require Maven. Period.

and

    The Cocoon project uses Maven for developing Cocoon itself.

While there might be advantages in using Maven for building own
applications with Cocoon like the archetypes, it's not a requirement. I
think we took great care to allow users to use their favorite build
system. I built Cocoon 2.2 web based applications without maven by using
a simple ant script copying jars into the WEB-INF/lib folder. All you
need are the binary artifacts of Cocoon (and the required third party jars).

Now, I agree that we currently fail in providing a convenient download
for these use cases - but that's a totally different thing and has
nothing to do with maven. I hope that this will change with a final 2.2
release - which is hopefully coming in the near future...

Carsten


-- 
Carsten Ziegeler
cziegeler@apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message